%define bcel_version 5.2
Name:          findbugs-bcel
Version:       1.3.9
Release:       %mkrel 1
Summary:       Modified Apache's Byte Code Engineering Library (BCEL) for Findbugs
Group:         Development/Java
License:       ASL
Url:           http://jakarta.apache.org/bcel/
Source0:       http://www.apache.org/dist/jakarta/bcel/source/bcel-%{bcel_version}-src.tar.gz
# findbugs-%{version}/src/patches/bcel.diff
Source1:       bcel.diff
Source2:       findbugs-bcel-%{version}.pom
Source3:       google-findbugs-bcel-1.3.9.pom
BuildRequires: java-devel
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
This is a version of Apache's Byte Code Engineering Library (BCEL) that has
been modified by the findbugs developers.  The modifications add some new
functionality, and also introduce a number of performance optimizations to
address findbugs performance problems.  Some of the performance optimizations
induce API changes, so this version of BCEL is not compatible with the vanilla
upstream version

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Modified Apache's Byte Code Engineering Library (BCEL) for Findbugs.

This package contains API documentation for %{name}.

%prep
%setup -q -n bcel-%{bcel_version}

%{__patch} -p7 -s < %{SOURCE1}

%build

mkdir classes
javac -source 1.5 -target 1.5 \
  -classpath classes -g \
  -d classes \
  -encoding iso-8859-1 \
  $(find src/java -name "*.java")

jar cf findbugs-bcel-%{version}.jar -C classes .

javadoc -d javadoc \
  -source 1.5 \
  -classpath classes \
  -encoding iso-8859-1 \
  $(find src/java -name "*.java")

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 findbugs-bcel-%{version}.jar %{buildroot}%{_javadir}/

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE3} %{buildroot}%{_mavenpomdir}/JPP-findbugs-bcel.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
#add_to_maven_depmap net.sourceforge.findbugs bcel %{version} JPP findbugs-bcel

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/findbugs-bcel-%{version}
cp -a javadoc/* %{buildroot}%{_javadocdir}/findbugs-bcel-%{version}
ln -s findbugs-%{version} %{buildroot}%{_javadocdir}/findbugs-bcel

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/findbugs-bcel-%{version}.jar
%{_javadir}/findbugs-bcel.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/findbugs-bcel-%{version}
%{_javadocdir}/findbugs-bcel



%changelog

* Fri Oct 21 2011 dmorgan <dmorgan> 1.3.9-1.mga2
+ Revision: 157165
- Fix group

  + gil <gil>
    - added new maven2 poms

* Mon Jun 27 2011 gil <gil> 1.3.9-0.mga2
+ Revision: 114814
- imported package findbugs-bcel


* Mon Jun 27 2011 gil <gil> 1.3.9-0.%%mkrel
- initial rpm